org.apache.xerces.impl.xs

## Class XSAttributeUseImpl

- java.lang.Object
- - org.apache.xerces.impl.xs.XSAttributeUseImpl

All Implemented Interfaces:
  org.apache.xerces.xs.XSAttributeUse, org.apache.xerces.xs.XSObject

    public class XSAttributeUseImpl
    extends java.lang.Object
    implements org.apache.xerces.xs.XSAttributeUse

The XML representation for an attribute use schema component is a local <attribute> element information item

Version:
  $Id: XSAttributeUseImpl.java 1024038 2010-10-18 22:06:35Z sandygao $
Author:
  Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`org.apache.xerces.xs.XSObjectList` `fAnnotations`
`XSAttributeDecl` `fAttrDecl`
`short` `fConstraintType`
`ValidatedInfo` `fDefault`
`short` `fUse`

### Constructor Summary

Constructors
Constructor and Description
`XSAttributeUseImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getActualVC()` Value Constraint: Binding specific actual constraint value or `null` if the value is in error or there is no value constraint.
`short` `getActualVCType()` The actual constraint value built-in datatype, e.g.
`org.apache.xerces.xs.XSObjectList` `getAnnotations()` Optional.
`org.apache.xerces.xs.XSAttributeDeclaration` `getAttrDeclaration()` {attribute declaration} provides the attribute declaration itself, which will in turn determine the simple type definition used.
`short` `getConstraintType()` Value Constraint: one of default, fixed.
`java.lang.String` `getConstraintValue()` Value Constraint: The actual value (with respect to the {type definition}).
`org.apache.xerces.xs.ShortList` `getItemValueTypes()` In the case the actual constraint value represents a list, i.e.
`java.lang.String` `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`org.apache.xerces.xs.XSNamespaceItem` `getNamespaceItem()` A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
`boolean` `getRequired()` {required} determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.
`short` `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`org.apache.xerces.xs.XSValue` `getValueConstraintValue()` The actual value of the default or fixed value constraint.
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fAttrDecl

    public XSAttributeDecl fAttrDecl

#### fUse

    public short fUse

#### fConstraintType

    public short fConstraintType

#### fDefault

    public ValidatedInfo fDefault

#### fAnnotations

    public org.apache.xerces.xs.XSObjectList fAnnotations

### Constructor Detail

#### XSAttributeUseImpl

    public XSAttributeUseImpl()

### Method Detail

#### reset

    public void reset()

#### getType

    public short getType()

Get the type of the object, i.e ELEMENT_DECLARATION.

Specified by:
  `getType` in interface `org.apache.xerces.xs.XSObject`

#### getName

    public java.lang.String getName()

The `name` of this `XSObject` depending on the `XSObject` type.

Specified by:
  `getName` in interface `org.apache.xerces.xs.XSObject`

#### getNamespace

    public java.lang.String getNamespace()

The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

Specified by:
  `getNamespace` in interface `org.apache.xerces.xs.XSObject`

#### getRequired

    public boolean getRequired()

{required} determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.

Specified by:
  `getRequired` in interface `org.apache.xerces.xs.XSAttributeUse`

#### getAttrDeclaration

    public org.apache.xerces.xs.XSAttributeDeclaration getAttrDeclaration()

{attribute declaration} provides the attribute declaration itself, which will in turn determine the simple type definition used.

Specified by:
  `getAttrDeclaration` in interface `org.apache.xerces.xs.XSAttributeUse`

#### getConstraintType

    public short getConstraintType()

Value Constraint: one of default, fixed.

Specified by:
  `getConstraintType` in interface `org.apache.xerces.xs.XSAttributeUse`

#### getConstraintValue

    public java.lang.String getConstraintValue()

Value Constraint: The actual value (with respect to the {type definition}).

Specified by:
  `getConstraintValue` in interface `org.apache.xerces.xs.XSAttributeUse`

#### getNamespaceItem

    public org.apache.xerces.xs.XSNamespaceItem getNamespaceItem()

Description copied from interface: `org.apache.xerces.xs.XSObject`
A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.

Specified by:
  `getNamespaceItem` in interface `org.apache.xerces.xs.XSObject`
See Also:
  `XSObject.getNamespaceItem()`

#### getActualVC

    public java.lang.Object getActualVC()

Description copied from interface: `org.apache.xerces.xs.XSAttributeUse`
Value Constraint: Binding specific actual constraint value or `null` if the value is in error or there is no value constraint.

Specified by:
  `getActualVC` in interface `org.apache.xerces.xs.XSAttributeUse`

#### getActualVCType

    public short getActualVCType()

Description copied from interface: `org.apache.xerces.xs.XSAttributeUse`
The actual constraint value built-in datatype, e.g. `STRING_DT, SHORT_DT`. If the type definition of this value is a list type definition, this method returns `LIST_DT`. If the type definition of this value is a list type definition whose item type is a union type definition, this method returns `LISTOFUNION_DT`. To query the actual constraint value of the list or list of union type definitions use `itemValueTypes`. If the `actualNormalizedValue` is `null`, this method returns `UNAVAILABLE_DT`.

Specified by:
  `getActualVCType` in interface `org.apache.xerces.xs.XSAttributeUse`

#### getItemValueTypes

    public org.apache.xerces.xs.ShortList getItemValueTypes()

Description copied from interface: `org.apache.xerces.xs.XSAttributeUse`
In the case the actual constraint value represents a list, i.e. the `actualValueType` is `LIST_DT`, the returned array consists of one type kind which represents the itemType. If the actual constraint value represents a list type definition whose item type is a union type definition, i.e. `LISTOFUNION_DT`, for each actual constraint value in the list the array contains the corresponding memberType kind. For examples, see `ItemPSVI.itemValueTypes`.

Specified by:
  `getItemValueTypes` in interface `org.apache.xerces.xs.XSAttributeUse`

#### getValueConstraintValue

    public org.apache.xerces.xs.XSValue getValueConstraintValue()

Description copied from interface: `org.apache.xerces.xs.XSAttributeUse`
The actual value of the default or fixed value constraint.

Specified by:
  `getValueConstraintValue` in interface `org.apache.xerces.xs.XSAttributeUse`

#### getAnnotations

    public org.apache.xerces.xs.XSObjectList getAnnotations()

Optional. Annotations.

Specified by:
  `getAnnotations` in interface `org.apache.xerces.xs.XSAttributeUse`